package com.mogo.cloud.live.model;

/**
 * @author donghongyu
 * @date 4/25/21 11:31 AM
 * {
 * 	"caller": "AiSDK",
 * 	"cameraStatus": {
 * 		"C_1": 1,
 * 		"C_2": 2
 *        },
 * 	"sdkVersion": "2.0.10",
 * 	"sn": "F803EB2046PZD00149"
 * }
 */
public class CameraStatusModel {

    private String sn;
    private String caller;
    private String sdkVersion;
    private CameraStatus cameraStatus;

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getCaller() {
        return caller;
    }

    public void setCaller(String caller) {
        this.caller = caller;
    }

    public String getSdkVersion() {
        return sdkVersion;
    }

    public void setSdkVersion(String sdkVersion) {
        this.sdkVersion = sdkVersion;
    }

    public CameraStatus getCameraStatus() {
        return cameraStatus;
    }

    public void setCameraStatus(CameraStatus cameraStatus) {
        this.cameraStatus = cameraStatus;
    }

    public static class CameraStatus{
        public int C_1;//前置
        public int C_2;//后置

        public int getC_1() {
            return C_1;
        }

        public void setC_1(int c_1) {
            C_1 = c_1;
        }

        public int getC_2() {
            return C_2;
        }

        public void setC_2(int c_2) {
            C_2 = c_2;
        }
    }



}
